LibreOffice LibreOffice 25.2 SDK API Reference

Variables
com::sun::star::xml::crypto::KDFID Constant Group Reference

Constants to identify Key Derivation Function. More...

## Variables
const long | PBKDF2 = 1
| PBKDF2. More...
const long | PGP_RSA_OAEP_MGF1P = 2
| OpenPGP/GnuPG. More...
const long | Argon2id = 3
| Argon2id. More...

## Detailed Description

Constants to identify Key Derivation Function.

Since
  LibreOffice 24.2

## Variable Documentation

## ◆ Argon2id

const long Argon2id = 3

Argon2id.

Derive key material from password. When used with ODF, the "StartKeyGenerationAlgorithm" is applied to the password and the result is passed to KDF.

See also
  https://www.rfc-editor.org/rfc/rfc9106.html

## ◆ PBKDF2

const long PBKDF2 = 1

PBKDF2.

Derive key material from password. When used with ODF, the "StartKeyGenerationAlgorithm" is applied to the password and the result is passed to KDF.

## ◆ PGP_RSA_OAEP_MGF1P

const long PGP_RSA_OAEP_MGF1P = 2

OpenPGP/GnuPG.

Of course this is public key encryption, but it does produce key material for symmetric encryption. When used with ODF, the "StartKeyGenerationAlgorithm" digest is not used, as the input is not a password.